Subject: bug#22984: 25.0.92; Typo in etc/DEBUG

From: [email-masked] (N. Jackson)
Date: Fri, 11 Mar 2016 17:18:56 -0400

At 22:27 +0200 on Friday 2016-03-11, Eli Zaretskii wrote:
>
> How about the following variant?
>
>   This will suggest the file name of the default binary to debug; if
>   the suggested default is not the Emacs binary you want to debug,
>   change the file name as needed.
>
> (This avoids the potentially confusing word "load", and also makes it
> clear we are talking about debugging Emacs, not some other program.)

Yes, that's better. It clearly states its meaning.

Did you see the following suggestion in my earlier message. [I wasn't
sure if you'd missed it, or if you'd decided it wasn't valid.] This was
with regard to etc/DEBUG not being about the Elisp debugger.

At 14:30 -0400 on Friday 2016-03-11, N. Jackson wrote:
>
> However, the file is named "DEBUG" and the title is "Debugging GNU
> Emacs", so it is by no means obvious that this is not the right file to
> look at.

[to find information about the Elisp debugger]

> So perhaps the title should be something like "Debugging GNU Emacs with
> GDB", and perhaps it should start out by saying something along the
> lines of
>
>     This file is about debugging Emacs with GDB.  For information about
>     the Lisp debugger and about Edebug (the source-level debugger for
>     Emacs Lisp programs), see the node "Debugging" in the Elisp manual.

Regards,
N.